## org.apache.myfaces.custom.checkbox
Class HtmlCheckbox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.apache.myfaces.custom.checkbox.HtmlCheckbox

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlCheckbox
extends javax.faces.component.UIComponentBase

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`
`static java.lang.String` `FOR_ATTR`
`static java.lang.String` `INDEX_ATTR`

Constructor Summary
`HtmlCheckbox()`

Method Summary
`java.lang.String` `getFamily()`
`java.lang.String` `getFor()`
`int` `getIndex()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setFor(java.lang.String forValue)`
`void` `setIndex(int index)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOR_ATTR

    public static final java.lang.String FOR_ATTR

### INDEX_ATTR

    public static final java.lang.String INDEX_ATTR

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlCheckbox

    public HtmlCheckbox()

Method Detail

### getFamily

    public java.lang.String getFamily()

### setFor

    public void setFor(java.lang.String forValue)

### getFor

    public java.lang.String getFor()

### setIndex

    public void setIndex(int index)

### getIndex

    public int getIndex()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)